Subject: Re: RSVP RRE related question ( RFC2961 )

From: David Charlap <[email-masked]>
Date: Mon, 01 Oct 2001 10:38:43 -0400

Hariom P wrote:
> 
> I would appreciate if authors/anyone could clarify my doubt ...
> 
> Here is a paragraph from RFC2691 :
> "Note, a node that supports reliable RSVP message delivery (Section
>  4) but not Bundle and Srefresh messages, will not set the Refresh-
>  Reduction-Capable bit."
> 
> any specific reason why RELIABILITY extensions were made not require
> setting of the RRE capable bit?

Because it's not necessary.

Reliability involves adding the MESSAGE_ID object to existing messages. 
If the neighbor switch doesn't support them, it will return PathErr and
ResvErr messages.  The sender will know whether or not the feature is
supported, based on whether messages are rejected.

Bundle and SRefresh, on the other hand, involve completely new
messages.  If the neighbor switch doesn't support them, it will silently
discard them - meaning the sender will not know that they were not
processed.  Hence the need to explicitly signal the capability via a bit
in the common header.

-- David